Ticket #2581 (closed task: fixed)

Opened 7 years ago

Last modified 7 years ago

Update the Trac Ticket Component list

Reported by: robyn Owned by: robyn
Priority: normal Milestone:
Component: trac Keywords:
Cc: rhl, robyn, mjuric Blocked By:
Blocking: Project: LSST
Version Number:
How to repeat:

not applicable

Description

The trac ticket component list contains outdated entries which muddy the selection of Components when reporting issues, creating new tickets, or setting up component alert lists.

Change History

comment:1 Changed 7 years ago by robyn

From: 	"Robyn Allsman" <robyn@noao.edu>
Subject: 	Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 14:45:32 -0700

Hello Developers,

The attached document is the list of Components currently available to select when issuing a Trac Ticket. This is your opportunity to remove Components whose related package has been removed from the stack or whose topic is no longer of interest.

Please annotate the list to mark which additional packages/topics should be removed. You'll see that I've already suggested a few for removal. If any of those packages should remain, let me know.

          Name                  Owner      Default CC
          active optics         schandra        
          activemqcpp           srp        srp
          afw                   rhl        rhl rowen bick cloomis price jbosch
          association           smm        smm
          base                  RayPlante  ktl rhl
          boost                 RayPlante        
          build process         RayPlante  rhl price
          buildBot              robyn      srp
          butler                ktl        rhl cloomis price
          calsim                haggerty        
          cat                   ktl        jbecla
          ccs-core              turri        
          coadd_chisquared      rowen        
OBSOLETE: coadd_kaiser          rowen      rowen
OBSOLETE: coadd_psfmatched      rowen      rowen
          coadd_utils           rowen      rowen price
          code standards        Jeff Kantor    rhl robyn
          ctrl_events           srp        srp
OBSOLETE: ctrl_evmon            srp        srp
          ctrl_execute          srp        
          ctrl_orca             srp        srp
          ctrl_platform_*       srp        
OBSOLETE: ctrl_provenance       RayPlante        
          ctrl_sched            RayPlante        
          ctrl_stats            srp        
          daf_base              ktl        ktl
OBSOLETE: daf_data              ktl        ktl
          daf_persistence       ktl        ktl
          database              jbecla     jbecla
          datarel               ktl        rhl robyn
          dbSchema              jbecla     jbecla
OBSOLETE: design                Tim Axelrod    Tim Axelrod
          devenv                RayPlante  robyn
          distrib server        RayPlante  RayPlante, ktl, jbosch, rowen, mjuric
OBSOLETE: DMS output catalogs   Tim Axelrod        
OBSOLETE: DMS output images     Tim Axelrod        
          doxygen               rhl        
          eups                  rhl        price
          geom                  smm        
          git                   mjuric        
          hypernews             Terry Hung        
          infrastructure        mfreemon   mfreemon
          input catalogs        ajc        
          input images          ajc        
          ip_diffim             becker     rhl bick wozniak price
          ip_isr                krughoff   nms rhl price
          is_ancillary          ajc        
          is_catalog            ajc        
          is_docs               ajc        
          is_raytrace           ajc        
          is_tools              ajc        
OBSOLETE: jaula                 mfreemon        
          meas_algorithms       rhl        rhl, bick, cloomis, price, jbosch
          meas_astrom           dstn       rhl, cloomis, price, jbosch
          meas_deblender        rhl        rhl price dstn
          meas_extensions_multiShapelet    jbosch        
          meas_extensions_photometryKron   jbosch        
          meas_extensions_rotAngle         price        
          meas_extensions_shapeHSM         jbosch        
          meas_mosaic           jbosch     price, rhl, pgee, bick
OBSOLETE: meas_multifit         dubcovsky  dubcovsky jbosch rhl price
          meas_photocal         rhl        
OBSOLETE: meas_pipeline         dubcovsky        
          meas_utils            rhl        price
          mops                  ljones     jmyers
          ndarray               jbosch        
          obs_cfht              rhl        rhl price
          obs_lsstSim           rhl        rhl price
          obs_sdss              ktl        rhl price
          obs_subaru            rhl        rhl price
          obs_test              ktl        
          pex_config            ktl        dubcovsky rowen price jbosch
          pex_exceptions        ktl        ktl
          pex_harness           daues      daues
          pex_logging           ktl        
          pex_policy            RayPlante        
choose1:  pipeQA                bick       becker price
OBSOLETE: pipette               price      rhl cloomis rowen
          pipe_base             rowen      price ktl rhl
          pipe_tasks            rowen      price ktl rhl
OBSOLETE: ps mops (not lsst)    fpierfed        
          qserv                 jbecla     danielw
          scons                 rhl        jbosch
OBSOLETE: sdqa                  shaw        
OBSOLETE: security              ktl        
          selfcal               Tim Axelrod        
          skymap                rowen        
          skypix                smm        
OBSOLETE: svn                   RayPlante  robyn
          TCT                   robyn        
          testing_displayQA     becker        
          testing_endtoend      ktl        robyn
choose1:  testing_pipeQA        becker        
          trac                  igoodenow  rhl robyn
          UML/EA                Jeff Kantor    robyn
          unknown               RayPlante        
          user guide            shaw        
          user interface            
          utils                 ktl        ktl
          wcslib                rhl    

==================================================================================================

From: 	Paul Price <price@astro.princeton.edu>
Date: 	Fri, 11 Jan 2013 08:47:13 -0500

On Jan 10, 2013, at 7:59 PM, Russell Owen wrote:

Unfortunately, the list of components in that panel is not in alphabetical order, which makes it much harder to find and subscribe to items of interest.

There are also some components that are no longer relevant, e.g., pipette, svn. Could we either delete these, or rename them so it's obvious they're not to be used?

There's also a testing_pipeQA as well as a pipeQA.

=====================================================================================

From: 	Paul Price <price@astro.princeton.edu>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 17:05:07 -0500
  • meas_utils is obsolete
  • I'd like to see the various coadd_* packages combined into one.
  • meas_photocal is not (currently) a separate package; it's bundled in meas_astrom.
  • Is 'skypix' used anywhere except in the CameraMapper? I don't think we need its functionality any more, even there.

=====================================================================================

From: 	Paul Price <price@astro.princeton.edu>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 17:05:34 -0500

Should we reassign (some of) the packages that go to RayPlante by default?

=====================================================================================

From: 	Jim Bosch <jbosch@astro.princeton.edu>
Sender: 	Jim Bosch <talljimbo@gmail.com>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 17:14:32 -0500

I think it'd be best to leave meas_multifit; I do expect to return to it someday.

I'm not sure what the difference between "devenv" and "distrib server"; I think we could remove "devenv".

We should rename "scons" to "sconsUtils", as the tickets we have under "scons" are really about "sconsUtils".

There are a number of third-party packages on this list: doxygen, wcslib, boost. I think those should be removed; if we find an upstream issue, we should report directly as an upstream bug.

=====================================================================================

From: 	Kian-Tat Lim <ktl@slac.stanford.edu>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 14:14:51 -0800
To: 	Paul Price <price@astro.princeton.edu>
  • Is 'skypix' used anywhere except in the CameraMapper? I don't think

we need its functionality any more, even there.

It's used in the CameraMapper to support sky tiles for SourceAssoc?, which is the primary user.

=====================================================================================

From: 	Kian-Tat Lim <ktl@slac.stanford.edu>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 14:31:07 -0800
REMOVE    activemqcpp           srp        srp
REMOVE    boost                 RayPlante        
REMOVE    build process         RayPlante  rhl price
RETAIN    ctrl_provenance       RayPlante  [change to ktl]
REMOVE    doxygen               rhl        
RETAIN    meas_multifit         dubcovsky  [change to jbosch?]
REMOVE    meas_utils            rhl        price
REMOVE    pipeQA                bick       becker price
RENAME    scons                 rhl        jbosch
RETAIN    testing_pipeQA        becker        
REMOVE    wcslib                rhl    

devenv comprises the DM-written components of the development environment, including git-related tools, scons-related tools, documentation tools, and eups-related tools. Many of these have their own components. Items related to the development servers, their software installations, and system-installed tools should be sent to lsst-admin, not filed as tickets.

=====================================================================================

From: 	Lynne Jones <ljones.uw@gmail.com>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Thu, 17 Jan 2013 18:42:23 -0800

You can remove calsim - haggerty. This is replaced by selfcal - Tim. Although Tim might have some comment on if he wants to change the name to reflect that we're currently simulating much more than just selfcal or if he'd like to add another component.

=====================================================================================

From: 	Andrew Connolly <ajc@astro.washington.edu>
Subject: 	Re: [LSST-data] Trac Component (~ package) update
Date: 	Fri, 18 Jan 2013 09:42:36 -0800

In the style of K-T I suggest:

REMOVE          is_ancillary          ajc        
RETAIN          is_catalog            ajc        (add krughoff)
REMOVE          is_docs               ajc        
RETAIN          is_raytrace           ajc        (add peterson)
REMOVE          is_tools              ajc        

comment:2 Changed 7 years ago by robyn

The result of effecting the changes suggested above is:

	active optics	                schandra		
	afw	                        rhl		rowen, bick, cloomis, price, jbosch
	association	                smm		
	base	                        ktl		rhl, RayPlante
	buildBot	                robyn		srp
	butler	                        ktl		rhl cloomis price
	cat	                        ktl		jbecla
	ccs-core	                turri		
	coadd_chisquared	        rowen		
	coadd_utils	                rowen		rowen price
	code standards	                Jeff Kantor	rhl robyn
	ctrl_events	                srp		
	ctrl_execute	                srp		
	ctrl_orca	                srp		
	ctrl_platform_*	                srp		
	ctrl_provenance	                ktl		
	ctrl_sched	                srp		RayPlante
	ctrl_stats	                srp		
	daf_base	                ktl		
	daf_persistence	                ktl		ktl
	database	                jbecla		jbecla
	datarel	                        ktl		rhl robyn
	dbSchema	                jbecla		jbecla
	distrib server	                ktl		RayPlante, jbosch, rowen, mjuric
	eups	                        rhl		price
	geom	                        smm		
	git	                        mjuric		
	hypernews	                Terry Hung		
	infrastructure	                mfreemon	mfreemon
	input catalogs	                ajc		
	input images	                ajc		
	ip_diffim	                becker		rhl bick wozniak price
	ip_isr	                        krughoff	nms rhl price
	is_catalog	                ajc		krughoff
	is_raytrace	                ajc		peterson
	meas_algorithms	                rhl		rhl, bick, cloomis, price, jbosch
	meas_astrom	                dstn		rhl, cloomis, price, jbosch
	meas_deblender	                rhl		rhl price dstn
	meas_extensions_multiShapelet	jbosch		
	meas_extensions_photometryKron	jbosch		
	meas_extensions_rotAngle	price		
	meas_extensions_shapeHSM	jbosch		
	meas_mosaic	                jbosch		price, rhl, pgee, bick
	meas_multifit	                jbosch		dubcovsky, rhl, price
	meas_photocal	                rhl		
	meas_pipeline	                dubcovsky		
	mops	                        ljones		jmyers
	ndarray	                        jbosch		
	obs_cfht	                rhl		rhl price
	obs_lsstSim	                rhl		rhl price
	obs_sdss	                ktl		rhl price
	obs_subaru	                rhl		rhl price
	obs_test	                ktl		
	pex_config	                ktl		dubcovsky rowen price jbosch
	pex_exceptions	                ktl		ktl
	pex_harness	                daues		daues
	pex_logging	                ktl		
	pex_policy	                RayPlante		
	pipe_base	                rowen		price ktl rhl
	pipe_tasks	                rowen		price ktl rhl
	qserv	                        jbecla		danielw
	sconsUtils	                rhl		jbosch
	selfcal	                        Tim Axelrod		
	skymap	                        rowen		
	skypix	                        smm		
	TCT	                        robyn		
	testing_displayQA	        becker		
	testing_endtoend	        ktl		robyn
	testing_pipeQA	                becker		
	trac	                        igoodenow	rhl, robyn, mjuric
	UML/EA	                        Jeff Kantor	robyn
	unknown	                        ktl		
	user guide	                shaw		
	user interface			
	utils	                        ktl		ktl

comment:3 Changed 7 years ago by robyn

  • Status changed from new to closed
  • Resolution set to fixed
  • reviewstatus changed from notReady to selfReviewed
Note: See TracTickets for help on using tickets.